<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol', language 'gl', version '2.2'.
 *
 * @package     enrol
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actenrolshhdr'] = 'Dispoñíbeis os complementos de matriculación';
$string['addinstance'] = 'Engadir método';
$string['ajaxnext25'] = 'Seguintes 25...';
$string['ajaxoneuserfound'] = 'Atopouse 1 usuario';
$string['ajaxxusersfound'] = 'Atopáronse {$a} usuarios';
$string['assignnotpermitted'] = 'Non ten permiso ou non pode asignar roles neste curso.';
$string['bulkuseroperation'] = 'Operación masiva de usuario';
$string['configenrolplugins'] = 'Seleccione todos os complementos requiridos e arránxeos na orde apropiada.';
$string['custominstancename'] = 'Nome personalizado da instancia';
$string['defaultenrol'] = 'Engadir instancia aos novos cursos';
$string['defaultenrol_desc'] = 'É posíbel engadir este complemento a todos os novos cursos de modo predeterminado.';
$string['durationdays'] = '{$a} días';
$string['enrol'] = 'Matricularse';
$string['enrolcandidates'] = 'Usuarios non matriculados';
$string['enrolcandidatesmatching'] = 'Atopando usuarios non matriculados';
$string['enrolcohort'] = 'Matricular grupo';
$string['enrolcohortusers'] = 'Matricular usuarios';
$string['enrollednewusers'] = 'Matriculados correctamente {$a} novos usuarios';
$string['enrolledusers'] = 'Usuarios matriculados';
$string['enrolledusersmatching'] = 'Atopar usuarios matriculados';
$string['enrolme'] = 'Matricularme neste curso';
$string['enrolmentinstances'] = 'Métodos de matriculación';
$string['enrolmentnew'] = 'Nova matriculación en {$a}';
$string['enrolmentnewuser'] = '{$a->user} matriculouse neste curso "{$a->course}"';
$string['enrolmentoptions'] = 'Opcións de matriculación';
$string['enrolments'] = 'Matriculacións';
$string['enrolnotpermitted'] = 'Non ten permiso ou non se lle permite matricular a ninguén neste curso';
$string['enrolperiod'] = 'Duración da matriculación';
$string['enroltimeend'] = 'A matriculación finaliza';
$string['enroltimestart'] = 'Comeza a matriculación';
$string['enrolusage'] = 'Instancias / matriculacións';
$string['enrolusers'] = 'Matricular usuarios';
$string['errajaxfailedenrol'] = 'Produciuse un fallo ao matricular o usuario';
$string['errajaxsearch'] = 'Produciuse un erro ao buscar usuarios';
$string['erroreditenrolment'] = 'Produciuse un erro ao tentar editar a matriculación de usuarios';
$string['errorenrolcohort'] = 'Produciuse un erro ao crear unha instancia de sincronización de matriculación neste curso.';
$string['errorenrolcohortusers'] = 'Produciuse un erro ao matricular membros do grupo neste curso.';
$string['errorwithbulkoperation'] = 'Produciuse un erro ao procesar o cambio de matriculación masiva.';
$string['extremovedaction'] = 'Acción de desmatriculación externa';
$string['extremovedaction_help'] = 'Seleccionar unha acción para realizar cando a matriculación dun usuario desaparece da orixe de matriculación. Algúns datos de usuario e configuracións púrganse do curso durante a desmatriculación.';
$string['extremovedkeep'] = 'Manter o usuario matriculado';
$string['extremovedsuspend'] = 'Desactivar a matriculación do curso';
$string['extremovedsuspendnoroles'] = 'Desactivar a matriculación do curso e retirar roles';
$string['extremovedunenrol'] = 'Desmatricular un usuario do curso';
$string['finishenrollingusers'] = 'Rematar a matriculación de usuarios';
$string['invalidenrolinstance'] = 'Instancia de matriculación incorrecta';
$string['invalidrole'] = 'Rol incorrecto';
$string['manageenrols'] = 'Xestionar os complementos de matriculación';
$string['manageinstance'] = 'Xestionar';
$string['nochange'] = 'Sen cambios';
$string['noexistingparticipants'] = 'Participantes inexistentes';
$string['noguestaccess'] = 'Os convidados non poden acceder a este curso, tente acceder.';
$string['none'] = 'Ningún';
$string['notenrollable'] = 'Non pode matricularse a si mesmo neste curso.';
$string['notenrolledusers'] = 'Outros usuarios';
$string['otheruserdesc'] = 'Os seguintes usuario non están matriculados neste curso pero teñen roles, herdados ou asignados polo curso.';
$string['participationactive'] = 'Activo';
$string['participationstatus'] = 'Estado';
$string['participationsuspended'] = 'Suspendido';
$string['periodend'] = 'ata {$a}';
$string['periodstart'] = 'desde {$a}';
$string['periodstartend'] = 'desde {$a->start} ata {$a->end}';
$string['recovergrades'] = 'Recuperar antigas puntuacións do usuario se é posíbel';
$string['rolefromcategory'] = '{$a->role} (Herdado da categoría do curso)';
$string['rolefrommetacourse'] = '{$a->role} (Herdado do curso pai)';
$string['rolefromsystem'] = '{$a->role} (Asignado a nivel do sitio)';
$string['rolefromthiscourse'] = '{$a->role} (Asignado neste curso)';
$string['startdatetoday'] = 'Hoxe';
$string['synced'] = 'Sincronizado';
$string['totalenrolledusers'] = '{$a} usuarios matriculados';
$string['totalotherusers'] = '{$a} outros usuarios';
$string['unassignnotpermitted'] = 'Non ten permiso para desasignar roles neste curso';
$string['unenrol'] = 'Desmatricular';
$string['unenrolconfirm'] = 'Confirma que quere desmatricular o usuario "{$a->user}" do curso "{$a->course}"?';
$string['unenrolme'] = 'Desmatricularme de {$a}';
$string['unenrolnotpermitted'] = 'Non ten permiso ou non pode desmatricular este usuario do curso.';
$string['unenrolroleusers'] = 'Desmatricular usuarios';
$string['uninstalldeletefiles'] = 'Todos os datos asociados co complemento «{$a->plugin}» elimináronse da base de datos. Para completar a eliminación (e para evitar que o complemento se reinstale por si mesmo), debería eliminar este directorio do servidor: {$a->directory}';
$string['unknowajaxaction'] = 'A acción solicitada é descoñecida';
$string['unlimitedduration'] = 'Sen límite';
$string['usersearch'] = 'Buscar';
$string['withselectedusers'] = 'Con usuarios seleccionados';
