<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'plugin', language 'gl', version '2.2'.
 *
 * @package     plugin
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['availability'] = 'Dispoñibilidade';
$string['displayname'] = 'Nome do engadido';
$string['moodleversion'] = 'Moodle {$a}';
$string['nonehighlightedinfo'] = 'Presentar a lista de todos os engadidos instalados de calquera forma';
$string['noneinstalled'] = 'Ningún engadido deste tipo está instalado';
$string['otherplugin'] = '{$a->component}';
$string['otherpluginversion'] = '{$a->component} ({$a->version})';
$string['plugindisable'] = 'Desactivar';
$string['plugindisabled'] = 'Desactivado';
$string['pluginenable'] = 'Activar';
$string['pluginenabled'] = 'Activado';
$string['requiredby'] = 'Requirido por: {$a}';
$string['requires'] = 'Require';
$string['rootdir'] = 'Directorio';
$string['settings'] = 'Axustes';
$string['showall'] = 'Recargar e amosar todos os engadidos';
$string['somehighlightedinfo'] = 'Presentar a lista completa dos engadidos instalados';
$string['source'] = 'Orixe';
$string['sourcestd'] = 'Estándar';
$string['status'] = 'Estado';
$string['status_delete'] = 'Para ser borrado';
$string['status_downgrade'] = 'Xa está instalada unha versión superior!';
$string['status_missing'] = 'Ausente do disco';
$string['status_new'] = 'Para ser instalado';
$string['status_nodb'] = 'Non hai unha base de datos';
$string['status_upgrade'] = 'Para ser anovado';
$string['systemname'] = 'Identificador';
$string['type_auth'] = 'Método de autenticación';
$string['type_auth_plural'] = 'Métodos de autenticación';
$string['type_block'] = 'Bloque';
$string['type_block_plural'] = 'Bloques';
$string['type_coursereport'] = 'Informe do curso';
$string['type_coursereport_plural'] = 'Informes do curso';
$string['type_editor'] = 'Editor';
$string['type_editor_plural'] = 'Editores';
$string['type_enrol'] = 'Método de matriculación';
$string['type_enrol_plural'] = 'Métodos de matriculación';
$string['type_filter'] = 'Filtro de texto';
$string['type_filter_plural'] = 'Filtros de texto';
$string['type_format'] = 'Formato do curso';
$string['type_format_plural'] = 'Formatos de curso';
$string['type_gradeexport'] = 'Método de exportar cualificacións';
$string['type_gradeexport_plural'] = 'Métodos de exportar cualificacións';
$string['type_gradeimport'] = 'Método de importar cualificacións';
$string['type_gradeimport_plural'] = 'Métodos de importar cualificacións';
$string['type_gradereport'] = 'Informe do libro de cualificacións';
$string['type_gradereport_plural'] = 'Informes do libro de cualificacións';
$string['type_gradingform'] = 'Método avanzado de cualificación';
$string['type_gradingform_plural'] = 'Métodos avanzados de cualificación';
$string['type_local'] = 'Engadido local';
$string['type_local_plural'] = 'Engadidos locais';
$string['type_message'] = 'Procesador de mensaxes';
$string['type_message_plural'] = 'Procesadores de mensaxes';
$string['type_mnetservice'] = 'Servizo MNet';
$string['type_mnetservice_plural'] = 'Servizos MNet';
$string['type_mod'] = 'Módulo de actividade';
$string['type_mod_plural'] = 'Módulos de actividade';
$string['type_portfolio'] = 'Portafolio';
$string['type_portfolio_plural'] = 'Portafolios';
$string['type_profilefield'] = 'Tipo do campo de perfil';
$string['type_profilefield_plural'] = 'Tipos de campo de perfil';
$string['type_qbehaviour'] = 'Comportamento da pregunta';
$string['type_qbehaviour_plural'] = 'Comportamento das preguntas';
$string['type_qformat'] = 'Formato para importar/exportar preguntas';
$string['type_qformat_plural'] = 'Formatos para importar/exportar preguntas';
$string['type_qtype'] = 'Tipo de pregunta';
$string['type_qtype_plural'] = 'Tipos de pregunta';
$string['type_report'] = 'Informe do sitio';
$string['type_report_plural'] = 'Informes';
$string['type_repository'] = 'Repositorio';
$string['type_repository_plural'] = 'Repositorios';
$string['type_theme'] = 'Tema';
$string['type_theme_plural'] = 'Temas';
$string['type_tool'] = 'Ferramenta de administración';
$string['type_tool_plural'] = 'Ferramentas de administración';
$string['type_webservice'] = 'Protocolo de servizo web';
$string['type_webservice_plural'] = 'Protocolos de servizo web';
$string['uninstall'] = 'Desinstalar';
$string['version'] = 'Versión';
$string['versiondb'] = 'Versión actual';
$string['versiondisk'] = 'Nova versión';
