<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'url', language 'gl', version '2.2'.
 *
 * @package     url
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['chooseavariable'] = 'Escoller unha variábel';
$string['clicktoopen'] = 'Prema na ligazón {$a} para abrir o recurso.';
$string['configdisplayoptions'] = 'Seleccione todas as opcións que deberían estar dispoñíbeis, a configuración existente non se modifica. Manteña premida a tecla CTRL para seleccionar varios campos.';
$string['configframesize'] = 'Cando se presenta unha páxina web ou un ficheiro cargado dentro dun marco, este valor é a altura en píxeles do marco superior (o que contén a navegación).';
$string['configrolesinparams'] = 'Actíveo se quere incluír nomes de rol localizados na lista de parámetros de variábel dispoñíbeis.';
$string['configsecretphrase'] = 'Esta frase secreta utilízase para producir un valor de código cifrado que se pode enviar a algúns servidores como un parámetro. O código cifrado prodúceo un valor md5 do enderezo IP actual concatenado coa súa frase secreta. p.ex code = md5(IP.secretphrase). Vexa que isto non é fiábel porque o enderezo IP pode cambiar e ademais adoita ser compartido entre varios computadores.';
$string['contentheader'] = 'Contido';
$string['displayoptions'] = 'Opcións dispoñíbeis de presentación';
$string['displayselect'] = 'Presentar';
$string['displayselectexplain'] = 'Escolla o tipo de presentación. desafortunadamente non todos os tipos están dispoñíbeis para todos os URL.';
$string['externalurl'] = 'URL externo';
$string['framesize'] = 'Altura do marco';
$string['invalidstoredurl'] = 'Non é posíbel presentar este recurso, o URL non é correcto.';
$string['invalidurl'] = 'O URL introducido non é correcto';
$string['modulename'] = 'URL';
$string['modulenameplural'] = 'URL';
$string['neverseen'] = 'Nunca visto';
$string['page-mod-url-x'] = 'Calquera URL do módulo páxina';
$string['parameterinfo'] = '&amp;parámetro=variábel';
$string['parametersheader_help'] = 'Algunhas variábeis internas de Moodle poden asociarse automaticamente ao URL. Escriba o nome do parámetro en cada caixa(s) de texto e logo seleccione a variábel requirida de coincidencia.';
$string['pluginadministration'] = 'Administración do módulo URL';
$string['pluginname'] = 'URL';
$string['popupheightexplain'] = 'Especifica a altura predeterminada das xanelas emerxentes.';
$string['popupwidthexplain'] = 'Especifica a largura predeterminada das xanelas emerxentes.';
$string['printheading'] = 'Presentar o nome do URL';
$string['printheadingexplain'] = 'Presentar o nome do URL por riba do contido? Algúns tipos de pantallas poida que non presenten o nome do URL malia que estea activado.';
$string['printintro'] = 'Presentar a descrición do URL';
$string['printintroexplain'] = 'Presentar a descrición do URL debaixo do contido? Algúns tipos de pantallas poida que non presenten a descrición aínda que estea activado.';
$string['rolesinparams'] = 'Incluír nomes de roles nos parámetros';
$string['serverurl'] = 'URL do servidor';
$string['url:view'] = 'Ver o URL';
